Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class ReportSchedulerFacade

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.ReportSchedulerFacade

All Implemented Interfaces:
  ReportScheduler, java.rmi.Remote

    public class ReportSchedulerFacade

extends java.lang.Object
implements ReportScheduler

Facade for the report scheduling service stub.

Version:
  $Id: ReportSchedulerFacade.java 9930 2007-09-06 16:22:48Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ReportSchedulerFacade(ReportSchedulerSoapBindingStub serviceStub)` Wraps a client stub.
`ReportSchedulerFacade(java.net.URL address, java.lang.String user, java.lang.String password)` Creates and wraps a client stub for a given set of service connection attributes.

Method Summary
`protected ReportSchedulerSoapBindingStub` | `createServiceStub(java.net.URL address, java.lang.String user, java.lang.String password)`
`void` | `deleteJob(long id)` Deletes a report job.
`void` | `deleteJobs(long[] ids)` Deletes several report jobs.
`JobSummary[]` | `getAllJobs()` Retrieves a list containing all the report jobs.
`protected org.apache.axis.EngineConfiguration` | `getEngineConfiguration()`
`Job` | `getJob(long id)` Retrieves the full details of a report job.
`JobSummary[]` | `getReportJobs(java.lang.String reportURI)` Retrieves a list of jobs of a specific report.
`protected Job` | `processJob(Job job)`
`protected void` | `processJobParameter(JobParameter parameter)`
`protected void` | `processJobParameters(Job job)`
`Job` | `scheduleJob(Job job)` Schedules a new report job.
`void` | `setLocale(java.util.Locale locale)` Sets the locale to be used when issuing request to the service.
`protected void` | `setLocale(java.lang.String locale)`
`Job` | `updateJob(Job job)` Updates an existing report job.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportSchedulerFacade

    public ReportSchedulerFacade(java.net.URL address,
                                 java.lang.String user,
                                 java.lang.String password)
                          throws javax.xml.rpc.ServiceException

  Creates and wraps a client stub for a given set of service connection attributes.

  Parameters:
    `address` - the service endpoint URL
    `user` - the username to be used to authenticate the service caller
    `password` - the password to be used to authenticate the service caller
  Throws:
    `javax.xml.rpc.ServiceException` - if the client stub cannot be created

### ReportSchedulerFacade

    public ReportSchedulerFacade(ReportSchedulerSoapBindingStub serviceStub)

  Wraps a client stub.

  Parameters:
    `serviceStub` - the service stub

Method Detail

### createServiceStub

    protected ReportSchedulerSoapBindingStub createServiceStub(java.net.URL address,
                                                               java.lang.String user,
                                                               java.lang.String password)
                                                        throws javax.xml.rpc.ServiceException

  Throws:
    `javax.xml.rpc.ServiceException`

### setLocale

    public void setLocale(java.util.Locale locale)

  Sets the locale to be used when issuing request to the service.

  The locale is used to localize messages returned by the service.

  Parameters:
    `locale` -

### setLocale

    protected void setLocale(java.lang.String locale)

### getEngineConfiguration

    protected org.apache.axis.EngineConfiguration getEngineConfiguration()

### deleteJob

    public void deleteJob(long id)
                   throws java.rmi.RemoteException

  Deletes a report job.

  Specified by:
    `deleteJob` in interface `ReportScheduler`
  Parameters:
    `id` - the ID of the job to delete
  Throws:
    `java.rmi.RemoteException`

### deleteJobs

    public void deleteJobs(long[] ids)
                    throws java.rmi.RemoteException

  Deletes several report jobs.

  Specified by:
    `deleteJobs` in interface `ReportScheduler`
  Parameters:
    `ids` - the IDs of the jobs to delete
  Throws:
    `java.rmi.RemoteException`

### getAllJobs

    public JobSummary[] getAllJobs()
                            throws java.rmi.RemoteException

  Retrieves a list containing all the report jobs.

  The list is filtered by the service to exclude jobs to which the current user does not have access.

  Specified by:
    `getAllJobs` in interface `ReportScheduler`
  Returns:
    the list of all accessible report jobs
  Throws:
    `java.rmi.RemoteException`

### getJob

    public Job getJob(long id)
               throws java.rmi.RemoteException

  Retrieves the full details of a report job.

  Specified by:
    `getJob` in interface `ReportScheduler`
  Parameters:
    `id` - the job ID
  Returns:
    on object containing all the attributes of a report job
  Throws:
    `java.rmi.RemoteException`

### getReportJobs

    public JobSummary[] getReportJobs(java.lang.String reportURI)
                               throws java.rmi.RemoteException

  Retrieves a list of jobs of a specific report.

  The list is filtered by the service to exclude jobs to which the current user does not have access.

  Specified by:
    `getReportJobs` in interface `ReportScheduler`
  Parameters:
    `reportURI` - the URI of the report
  Returns:
    the list of accessible report jobs
  Throws:
    `java.rmi.RemoteException`

### scheduleJob

    public Job scheduleJob(Job job)
                    throws java.rmi.RemoteException

  Schedules a new report job.

  Specified by:
    `scheduleJob` in interface `ReportScheduler`
  Parameters:
    `job` - an object containing the attributes of the new job
  Returns:
    the saved job details
  Throws:
    `java.rmi.RemoteException`

### updateJob

    public Job updateJob(Job job)
                  throws java.rmi.RemoteException

  Updates an existing report job.

  Specified by:
    `updateJob` in interface `ReportScheduler`
  Parameters:
    `job` - an object containing all the attributes of the job to be updated
  Returns:
    the updated job details
  Throws:
    `java.rmi.RemoteException`

### processJob

    protected Job processJob(Job job)

### processJobParameters

    protected void processJobParameters(Job job)

### processJobParameter

    protected void processJobParameter(JobParameter parameter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.